/* ==========
FV
========== */

.fv {
  display: flex;
  width: 100%;
  height: clamp(20.25rem, 4.126rem + 75.88vw, 40.5rem);
  margin-bottom: min(9.3333333333vw, 35px);
}

.fv__img-wrap {
  width: 64%;
  flex-shrink: 0;
}

.fv__img {
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.fv__img--logo {
  display: none;
}

.fv__content {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: min(8vw, 30px);
}

.fv__catch {
  writing-mode: vertical-rl;
  font-size: clamp(1.125rem, 0.428rem + 3.28vw, 2rem);
  font-weight: 700;
  color: var(--text-color);
  line-height: 2;
  font-family: var(--shipo-mincho-font);
}

.fv__catch span {
  display: block;
}
.post-type__no-post {
  text-align: center;
}
@media (min-width: 768px) {
  .fv {
    height: calc(100svh - var(--header-height));
    margin-bottom: min(5.2083333333vw, 100px);
  }

  .fv__img-wrap {
    width: min(76.3541666667vw, 1466px);
  }

  .fv__content {
    padding-top: min(5.7291666667vw, 110px);
  }

  .fv__catch {
    font-size: clamp(1.5rem, 1.6666666667vw, 2rem);
    display: flex;
    flex-wrap: wrap;
  }

  .fv__catch span {
    display: inline;
  }

  .fv__img-wrap {
    position: relative;
  }

  .fv__img--logo {
    display: block;
    position: absolute;
    right: max(-20px, -1.4641288433vw);
    top: 50%;
    transform: translateY(-50%);
    width: min(31.5625vw, 606px);
    height: auto;
    mask-image: radial-gradient(ellipse at center, black 35%, transparent 75%);
    opacity: 0;
    transition: opacity 1s ease;
  }

  .fv__img--logo.is-visible {
    opacity: 1;
  }
}

/* ==========
共通見出し
========== */

.section-title {
  margin-bottom: min(6.6666666667vw, 25px);
}

.section-title__ja {
  font-size: min(8vw, 1.875rem);
  font-weight: 600;
  color: var(--text-color);
  line-height: 1.4;
  margin-bottom: min(1.6vw, 6px);
}

.section-title__ja em {
  color: var(--main-color);
}

.section-title__en {
  font-size: min(3.7333333333vw, 0.875rem);
  font-weight: 500;
  color: var(--main-color);
  font-family: var(--en-font);
}

.section-title--white .section-title__ja,
.section-title--white .section-title__ja em,
.section-title--white .section-title__en {
  color: #fff;
}

@media (min-width: 768px) {
  .section-title {
    margin-bottom: min(2.0833333333vw, 40px);
  }

  .section-title__ja {
    font-size: clamp(1.5rem, 0.417rem + 2.26vw, 3.125rem);
    margin-bottom: min(0.5208333333vw, 10px);
  }

  .section-title__en {
    font-size: clamp(0.75rem, 0.8333333333vw, 1rem);
  }
}

/* ==========
ABOUT
========== */

.section__content--about {
  padding: 0 0 min(13.3333333333vw, 50px);
}

.about__body {
  display: flex;
  flex-direction: column;
  gap: min(8vw, 30px);
}

.about__catch {
  font-size: min(5.3333333333vw, 1.25rem);
  font-weight: 600;
  line-height: 1.4;
  margin-bottom: min(4vw, 15px);
}

.about__desc {
  font-size: min(4.2666666667vw, 1rem);
  line-height: 2;
}

.about__img-area {
  height: clamp(17.813rem, 13.085rem + 22.25vw, 23.75rem);
}

.about__img-area img {
  height: 100%;
  object-fit: cover;
}

@media (min-width: 768px) {
  .section__content--about {
    position: relative;
    padding: 0 0 min(5.2083333333vw, 100px);
  }

  .section__content--about::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: min(4.375vw, 84px);
    height: min(41.4583333333vw, 796px);
    background: url("../images/top/about-deco.jpg") center / cover no-repeat;
  }

  .about__body {
    width: min(81.25vw, 1560px);
    margin-left: auto;
    flex-direction: row;
    align-items: center;
    gap: min(6.25vw, 120px);
  }

  .about__text-area {
    flex: 1;
  }

  .about__catch {
    font-size: clamp(1.2188rem, 1.3541666667vw, 1.625rem);
    margin-bottom: min(1.8229166667vw, 35px);
  }

  .about__desc {
    font-size: clamp(0.75rem, 0.8333333333vw, 1rem);
    margin-bottom: min(2.6041666667vw, 50px);
  }

  .about__img-area {
    width: min(50vw, 960px);
    height: auto;
  }

  .about__img-area img {
    height: 100%;
  }
}

/* ==========
SERVICE
========== */

.section__content--service {
  background: url("../images/top/service-bg-sp.jpg") center / cover no-repeat;
  padding: min(10.6666666667vw, 40px) 0;
}

.section-title--white {
  text-align: center;
  margin-bottom: min(10.6666666667vw, 40px);
}

.service__list {
  display: grid;
  grid-template-columns: 1fr;
  gap: min(9.3333333333vw, 35px);
  margin-bottom: min(10.6666666667vw, 40px);
}

.service-card__img-wrap {
  height: clamp(12.313rem, 2.509rem + 46.14vw, 24.625rem);
  margin-bottom: min(4vw, 15px);
}

.service-card__img-wrap img {
  height: 100%;
  object-fit: cover;
}

.service-card__title {
  font-size: min(5.3333333333vw, 1.25rem);
  font-weight: 600;
  color: #fff;
  text-align: center;
  margin-bottom: min(2.6666666667vw, 10px);
}

.service-card__desc {
  font-size: min(4.2666666667vw, 1rem);
  line-height: 2;
  color: #fff;
}

@media (min-width: 768px) {
  .section__content--service {
    background-image: url("../images/top/service-bg-pc.jpg");
    padding: min(4.1666666667vw, 80px) 0;
  }

  .service__list {
    grid-template-columns: repeat(3, 1fr);
    width: min(62.5vw, 1200px);
    margin: 0 auto min(2.6041666667vw, 50px);
    gap: min(2.0833333333vw, 40px);
  }

  .service-card__img-wrap {
    height: min(15.1041666667vw, 290px);
    margin-bottom: min(1.5625vw, 30px);
  }

  .service-card__title {
    font-size: clamp(1rem, 1.3541666667vw, 1.625rem);
    margin-bottom: min(0.78125vw, 15px);
  }

  .service-card__desc {
    font-size: clamp(0.75rem, 0.8333333333vw, 1rem);
  }
}

/* ==========
WORKS
========== */

.section__content--works {
  padding: min(13.3333333333vw, 50px) 0 min(8vw, 30px);
}

.section__content--works .section-space {
  width: 100%;
}

.works__head {
  margin-bottom: min(8.5333333333vw, 32px);
}

.works__desc {
  font-size: min(4.2666666667vw, 1rem);
  line-height: 2;
  padding-inline: clamp(1.25rem, -3.727rem + 23.42vw, 7.5rem);
  margin-bottom: min(8vw, 30px);
}

.works__slider-wrap {
  position: relative;
  z-index: 0;
}

.works__slider-wrap::before {
  content: "";
  position: absolute;
  bottom: max(-30px, -8vw);
  left: 0;
  width: 100%;
  height: min(60.2666666667vw, 226px);
  background: url("../images/top/works-slider-deco.jpg") center / cover
    no-repeat;
  z-index: -1;
}

.works__nav {
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: space-between;
  width: clamp(22.813rem, 4.648rem + 85.48vw, 45.625rem);
  padding-inline: 20px;
  z-index: 20;
}

.works__slider {
  margin-bottom: min(10.6666666667vw, 40px);
  overflow: hidden;
}

.works-card__img-wrap {
  position: relative;
  overflow: hidden;
}

.works-card__img-wrap img {
  height: min(74.6666666667vw, 280px);
  object-fit: cover;
  transition: transform 0.4s;
}

.works-card:hover .works-card__img-wrap img {
  transform: scale(1.1);
}

.works-card__badge {
  position: absolute;
  bottom: min(2.6666666667vw, 10px);
  left: min(2.6666666667vw, 10px);
  background: #fff;
  color: var(--point-color);
  border: 1px solid currentColor;
  font-size: min(3.7333333333vw, 0.875rem);
  font-weight: 500;
  font-family: var(--main-font);
  padding: min(1.3333333333vw, 5px) min(2.6666666667vw, 10px);
}

button.works__btn-prev,
button.works__btn-next {
  position: static;
  top: auto;
  left: auto;
  right: auto;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: min(12.8vw, 48px);
  height: min(12.8vw, 48px);
  background: rgba(255, 255, 255, 0.4);
  border-radius: 50%;
  color: var(--main-color);
  border: 1px solid var(--main-color);
  transition:
    background 0.2s,
    border-color 0.2s;
}

button.works__btn-prev::after,
button.works__btn-next::after {
  content: "";
  display: block;
  width: min(5.3333333333vw, 20px);
  height: min(3.4666666667vw, 13px);
  background: url("../images/top/button-arrow.png") center / contain no-repeat;
}

button.works__btn-prev::after {
  transform: scaleX(-1);
}

button.works__btn-prev.swiper-button-lock,
button.works__btn-next.swiper-button-lock {
  display: none;
}

@media (min-width: 768px) {
  .section__content--works {
    padding: min(4.1666666667vw, 80px) 0 min(5.2083333333vw, 100px);
  }

  .works__head {
    display: flex;
    align-items: flex-start;
    width: min(62.5vw, 1200px);
    gap: min(3.125vw, 60px);
    margin: 0 auto min(5.2083333333vw, 100px);
  }

  .works__head .section-title {
    flex-shrink: 0;
    margin: 0;
    text-align: left;
  }

  .works__desc {
    flex: 1;
    margin-bottom: 0;
    padding: 0;
    font-size: clamp(0.75rem, 0.8333333333vw, 1rem);
  }

  .works__slider-wrap {
    padding-left: min(22.2395833333vw, 427px);
  }

  .works__slider-wrap::before {
    bottom: max(-100px, -5.2083333333vw);
    width: min(71.5104166667vw, 1373px);
    height: min(23.3333333333vw, 448px);
  }

  .works__slider {
    margin: 0;
  }

  .works-card__img-wrap img {
    height: min(22.2916666667vw, 428px);
  }

  .works-card__badge {
    bottom: min(0.5208333333vw, 10px);
    left: min(0.5208333333vw, 10px);
    font-size: clamp(0.75rem, 0.8333333333vw, 1rem);
    padding: min(0.3125vw, 6px) min(0.5208333333vw, 10px);
  }

  .works__nav {
    width: auto;
    left: min(17.7083333333vw, 340px);
    top: auto;
    bottom: 0;
    transform: none;
    display: flex;
    justify-content: end;
    flex-direction: column-reverse;
    gap: min(0.5208333333vw, 10px);
    margin: 0;
    padding: 0;
  }

  button.works__btn-prev,
  button.works__btn-next {
    background: #fff;
    border: none;
    width: clamp(1.563rem, 1.271rem + 0.61vw, 2rem);
    height: clamp(1.563rem, 1.271rem + 0.61vw, 2rem);
  }

  button.works__btn-prev:hover,
  button.works__btn-next:hover {
    background: var(--main-color);
  }

  button.works__btn-prev:hover::after,
  button.works__btn-next:hover::after {
    filter: brightness(0) invert(1);
  }

  button.works__btn-prev::after,
  button.works__btn-next::after {
    width: 15px;
    height: 10px;
  }
}

/* ==========
BNR
========== */

.section__content--bnr {
  padding: min(13.3333333333vw, 50px) 0;
}

.bnr__list {
  display: flex;
  flex-direction: column;
  gap: min(10.6666666667vw, 40px);
}

.bnr-card {
  position: relative;
  max-width: 654px;
  margin: 0 auto;
}

.bnr-card__img {
  height: clamp(12.5rem, 3.044rem + 44.5vw, 24.375rem);
  object-fit: cover;
}

.bnr-card__body {
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: clamp(1.25rem, -0.741rem + 9.37vw, 3.75rem);
}

.bnr-card__heading {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: min(1.6vw, 6px);
}

.bnr-card__title {
  font-size: min(8vw, 1.875rem);
  font-weight: 600;
  color: #fff;
  line-height: 1.4;
}

.bnr-card__en {
  font-size: min(3.7333333333vw, 0.875rem);
  font-weight: 500;
  color: #fff;
  font-family: var(--en-font);
}

@media (min-width: 768px) {
  .section__content--bnr {
    padding: min(3.125vw, 60px) min(13.5416666667vw, 260px);
  }

  .bnr__list {
    flex-direction: row;
    gap: min(4.1666666667vw, 80px);
  }

  .bnr-card {
    flex: 1;
  }

  .bnr-card__img {
    height: min(16.9791666667vw, 326px);
  }

  .bnr-card__body {
    gap: min(2.34375vw, 45px);
  }

  .bnr-card__heading {
    gap: min(0.5208333333vw, 10px);
  }

  .bnr-card__title {
    font-size: clamp(1.5rem, 0.583rem + 1.91vw, 2.875rem);
  }

  .bnr-card__en {
    font-size: clamp(0.75rem, 0.8333333333vw, 1rem);
  }
}
